BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.Reports.TransferReportRepository Class Reference

## Public Member Functions
| TransferReportRepository (IApplicationDBContext dbContext, IWebHostEnvironment hostEnvironment)
async Task< dynamic > | GetData1Transfer (Guid id)
async Task< dynamic > | GetData2Transfer (Guid id)
async Task< dynamic > | GetData3Transfer (Guid id)
async Task< dynamic > | GetData4Transfer (Guid id)
async Task< dynamic > | GetData5Transfer (Guid id)
async Task< dynamic > | GetData6Transfer (Guid id)

## Constructor & Destructor Documentation

## ◆ TransferReportRepository()

BMA.EHR.Application.Repositories.Reports.TransferReportRepository.TransferReportRepository | ( | IApplicationDBContext | dbContext,
|  | IWebHostEnvironment | hostEnvironment
| ) |  |
| inline

## Member Function Documentation

## ◆ GetData1Transfer()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.TransferReportRepository.GetData1Transfer | ( | Guid | id | ) |
| inline

## ◆ GetData2Transfer()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.TransferReportRepository.GetData2Transfer | ( | Guid | id | ) |
| inline

## ◆ GetData3Transfer()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.TransferReportRepository.GetData3Transfer | ( | Guid | id | ) |
| inline

## ◆ GetData4Transfer()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.TransferReportRepository.GetData4Transfer | ( | Guid | id | ) |
| inline

## ◆ GetData5Transfer()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.TransferReportRepository.GetData5Transfer | ( | Guid | id | ) |
| inline

## ◆ GetData6Transfer()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.TransferReportRepository.GetData6Transfer | ( | Guid | id | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Reports/TransferReportRepository.cs